Opened 3 years ago

Last modified 3 months ago

#342 new defect

Lucide does not print on a postscript printer PDF files generated by Scribus

Reported by: elygre Owned by:
Priority: major Milestone: 1.4.1
Component: Backend Version: 1.4.0
Keywords: Cc:

Description

Lucide starts with a message about generating postscript file. It takes a long time. While working sounds from the printer indicates something is going on. A lamp on the printer telling it is loading the data, and then it stops and nothing is printed. I can print the same document on the same printer if I select to print it as image, but the quality of the included images is too bad. The printer is a Epson WorkForce? Pro - WF-5190. I have to take the PDF-file and copy it to a WIN-10 partition and print it using Adobe.. There is no problems with printing postscript files from other programs.

Attachments (1)

WindowStickerPDF.pdf (31.6 KB) - added by darcio 3 years ago.
Error printing from Lucide

Download all attachments as: .zip

Change History (6)

comment:1 Changed 3 years ago by Gregg Young

Does it work with other versions of Lucide? What do you get if you print to a file? What driver are you using? Can you printing these post script files from other OS2 programs (QPDFView GhostScript?)? Can you post the file?

comment:2 Changed 3 years ago by darcio

This may not be Scribus only issue...I occasionally see this as well. In such instances GSPrint usually works fine though. When I hit this combination again I will upload a sample PDF file.

In my case I have a Brother HL5470DW printer, which is a native PS printer. Using the IBM PS drivers (30.800) which have had a printer capabilities import done.

Changed 3 years ago by darcio

Attachment: WindowStickerPDF.pdf added

Error printing from Lucide

comment:3 Changed 3 years ago by darcio

I uploaded a failing to print PDF file, see WindowStickerPDF.pdf.

This produces the following output on the print page:

ERROR NAME;

undefines

COMMAND;

OPERAND STACK;

No problem printing in GSView/Ghostscript 9.04 however.

The file in question was produced with 'Adobe LiveCycle? PDF Generator', formatted in PDF-1.5.

With other PDF files I have seen slightly different errors such as:

ERROR NAME;

limitcheck

COMMAND;

Type42BuildGlyph

OPERAND STACK;

--arraytype-- --stringtype-- 624.44 36.0

Last edited 3 years ago by darcio (previous) (diff)

comment:4 Changed 21 months ago by Gregg Young

Milestone: 1.4.1

comment:5 Changed 3 months ago by Lewis Rosenthal

Is this still an issue with the latest Lucide (1.5.0) and PDF plugin? If so, please see if the same happens under qpdfview, as this would most likely be an upstream issue in poppler.

Note: See TracTickets for help on using tickets.